Bric::Util::Attribute::Action(3p)

NAME
Bric::Util::Attribute::Action - Interface to Attributes of Bric::Util::Action objects

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
See Bric::Util::Attribute

DESCRIPTION
See Bric::Util::Attribute.

INTERFACE

  Constructors
Inherited from Bric::Util::Attribute.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$type = Bric::Util::Attribute::short_object_type();
    Returns 'action', the short object type name used to construct the attribute table name where the attributes for this class type are stored.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods
Inherited from Bric::Util::Attribute.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Dist::Action, Bric::Util::Attribute